JBoss API: Class EntityEnterpriseContext.EntityContextImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class EntityEnterpriseContext.EntityContextImpl

    java.lang.Object
      |
      +--org.jboss.ejb.EnterpriseContext.EJBContextImpl
            |
            +--org.jboss.ejb.EntityEnterpriseContext.EntityContextImpl

All Implemented Interfaces:
  javax.ejb.EJBContext, javax.ejb.EntityContext

Enclosing class:
  EntityEnterpriseContext

protected class EntityEnterpriseContext.EntityContextImpl
extends EnterpriseContext.EJBContextImpl
implements javax.ejb.EntityContext

Constructor Summary
`protected` | `EntityEnterpriseContext.EntityContextImpl()`

Method Summary
`javax.ejb.EJBLocalObject` | `getEJBLocalObject()`
`javax.ejb.EJBObject` | `getEJBObject()`
`java.lang.Object` | `getPrimaryKey()`

Methods inherited from class org.jboss.ejb.EnterpriseContext.EJBContextImpl
`getCallerIdentity, getCallerPrincipal, getEJBHome, getEJBLocalHome, getEnvironment, getRollbackOnly, getUserTransaction, isCallerInRole, isCallerInRole, setRollbackOnly`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.ejb.EJBContext
`getCallerIdentity, getCallerPrincipal, getEJBHome, getEJBLocalHome, getEnvironment, getRollbackOnly, getUserTransaction, isCallerInRole, isCallerInRole, setRollbackOnly`

Constructor Detail

### EntityEnterpriseContext.EntityContextImpl

    protected EntityEnterpriseContext.EntityContextImpl()

Method Detail

### getEJBObject

    public javax.ejb.EJBObject getEJBObject()

  Specified by:
    `getEJBObject` in interface `javax.ejb.EntityContext`

### getEJBLocalObject

    public javax.ejb.EJBLocalObject getEJBLocalObject()

  Specified by:
    `getEJBLocalObject` in interface `javax.ejb.EntityContext`

### getPrimaryKey

    public java.lang.Object getPrimaryKey()

  Specified by:
    `getPrimaryKey` in interface `javax.ejb.EntityContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.